<?php

if($this->session->userdata('is_logged_in')===FALSE){
			redirect('login');
}

#===pemanggilan file template
foreach ($template->result() as $template){
    $filename=$template->kdtemplate;
    $namafile=str_replace(" ","",$template->namatemplate);
}
if ($idakta==7){
	$url = base_url("resources/template/berita_acara/pidana_militer/".$filename.".rtf");
}elseif ($idakta==13){
	$url = base_url("resources/template/penetapan/pidana_militer/".$filename.".rtf");
}else{
	$url = base_url("resources/template/akta/pidana_militer/".$filename.".rtf");
}
$Template = file_get_contents($url);

#===Kalo Di Database Kosong Maka Diisi Titik-titik 

$pangkat_pemohon="..........";							$pangkat_terdakwa="..........";
$nrp_pemohon="..........";								$nrp_terdakwa="..........";
$jabatan_terdakwa="..........";							$kesatuan_terdakwa="..........";
$nomor_putusan_kasasi="..........";						$tgl_putusan_kasasi="..........";
$kota_pt="..........";									$tgl_penerimaan_memori_kasasi="..........";
$hari_penerimaan_memori_kasasi="..........";			$tgl_pemberitahuan_permohonan_kasasi="..........";
$hari_pemberitahuan_permohonan_kasasi="..........";		$tgl_pemberitahuan_putusan_memori_kasasi="..........";
$hari_pemberitahuan_putusan_memori_kasasi="..........";	$tgl_cabut="..........";
$hari_pencabutan="..........";							$tglpemberitauanpencabutan="..........";
$haripemberitahuan_pencabutan="..........";				$tgl_penerimaan_kontra_memori_kasasi="..........";
$hari_penerimaan_kontra_memori_kasasi="..........";		$tgl_penyerahan_kontra_memori_kasasi="..........";
$hari_penyerahan_kontra_memori_kasasi="..........";		$tglbht="..........";
$blnbht="..........";									$thnbht="..........";
$nomor="..........";									$namaPN="..........";
$kode_pn1="..........";									$kode_pt="..........";
$kota_pn="..........";									$namaPihak="..........";
$matra="..........";									$bulan="..........";
$tahun="..........";									$kesatuan_pemohon="..........";
$tahapan="..........";									$noPerkaraTahapan="..........";
$tglPutusTahapan="..........";							$nama_oditur="..........";
$nrp_oditur="..........";								$pangkat_oditur="..........";
$kode_otmil="..........";								$tempatLahirPihak="..........";
$tanggalLahirPihak="..........";						$kelaminPihak="..........";
$alamatPihak="..........";								$agamaPihak="..........";
$nama_terdakwa="..........";							$nama_pangkat_korp_terdakwa="..........";
$statusPanitera="..........";							$namaPanitera="..........";
$nrp_pejabat="..........";								$pangkat_pejabat="..........";
$tglpermohonan_kasasi="..........";						$nomor_permohonan_kasasi="..........";
$hariPermohonanKasasi="..........";						$kadilmil="..........";
$nrpkadilmil="..........";								$pangkatkadilmil="..........";
$tgltms="..........";

$perkara = $dataTemplate;
foreach ($perkara->result() as $perkara) {
			$nomorPerkara = $perkara->nomor_perkara;
			$no = explode("/",$perkara->nomor_perkara);
			$nomor = $no[0];
			$kodePerkara = $no[1];
			$tahunPerkara = $no[2];
			$kodePN = $no[3];
			$namaPihak = $this->templatehelper->standradnaming($perkara->namaPihak);
			$alamatPihak = $this->templatehelper->standradnaming($perkara->alamatPihak);
			$agamaPihak = $perkara->agamaPihak;
			$kelaminPihak = $perkara->kelaminPihak;
			$umurPihak = $this->tanggalhelper->getSelisihTahun($perkara->tanggalLahirPihak,date('Y-m-d'));
			$tempatLahirPihak = $perkara->tempatLahirPihak;
			$tanggalLahirPihak = $this->templatehelper->convertKeTglIndo($perkara->tanggalLahirPihak);
			$namaPN = $this->templatehelper->standradnaming($perkara->namaPengadilan);
			$namaPanitera = $this->templatehelper->standradnaming($perkara->pw);
			$nrp_pejabat = $perkara->nrp_pejabat; 

            $pangkat_pemohon=$perkara->pangkat;

			$pangkat_pejabat = $perkara->pangkat_pejabat;
			$tahapan = $this->templatehelper->standradnaming($perkara->tahapan);
			$noPerkaraTahapan = $perkara->nomorPerkaraTahapan;
			$tglPutusTahapan = $this->templatehelper->convertKeTglIndo($perkara->putusan);
			$statusPanitera = $this->templatehelper->standradnaming($perkara->pejabat);
			$tgl_cabut = $this->templatehelper->convertKeTglIndo($perkara->tanggal_cabut);
		    $hari_pencabutan = $this->templatehelper->getHari($tgl_cabut);
			$tglpermohonan_kasasi_sql = $perkara->permohonan_kasasi;
			$tglpermohonan_kasasi = $this->templatehelper->convertKeTglIndo($perkara->permohonan_kasasi);
			$hariPermohonanKasasi = $this->templatehelper->getHari($perkara->permohonan_kasasi);
			$pihak_diwakili=$perkara->pihak_diwakili;
			$nomor_putusan_kasasi = $perkara->nomor_putusan_kasasi; 
            $tgl_putusan_kasasi = $this->templatehelper->convertKeTglIndo($perkara->tgl_putusan_kasasi);
            $kota_pt = $this->templatehelper->standradnaming($perkara->kota_pt);
            $tgl_pemberitahuan_permohonan_kasasi_sql = $perkara->pemberitahuan_kasasi;
            $tgl_pemberitahuan_permohonan_kasasi = $this->templatehelper->convertKeTglIndo($perkara->pemberitahuan_kasasi);
            $hari_pemberitahuan_permohonan_kasasi = $this->templatehelper->getHari($perkara->pemberitahuan_kasasi);
            $tgl_penerimaan_memori_kasasi_sql = $perkara->penerimaan_memori_kasasi;
            $tgl_penerimaan_memori_kasasi = $this->templatehelper->convertKeTglIndo($perkara->penerimaan_memori_kasasi);
            $hari_penerimaan_memori_kasasi = $this->templatehelper->getHari($perkara->penerimaan_memori_kasasi);
            $tgl_penerimaan_kontra_memori_kasasi_sql = $perkara->penerimaan_kontra_kasasi;
            $tgl_penerimaan_kontra_memori_kasasi = $this->templatehelper->convertKeTglIndo($perkara->penerimaan_kontra_kasasi);
            $hari_penerimaan_kontra_memori_kasasi = $this->templatehelper->getHari($perkara->penerimaan_kontra_kasasi);
            $tgl_penyerahan_kontra_memori_kasasi_sql = $perkara->penyerahan_kontra_kasasi;
            $tgl_penyerahan_kontra_memori_kasasi = $this->templatehelper->convertKeTglIndo($perkara->penyerahan_kontra_kasasi);
            $hari_penyerahan_kontra_memori_kasasi = $this->templatehelper->getHari($perkara->penyerahan_kontra_kasasi);
            $tgl_pemberitahuan_putusan_memori_kasasi_sql = $perkara->pemberitahuan_putusan_kasasi;
			$tgl_pemberitahuan_putusan_memori_kasasi = $this->templatehelper->convertKeTglIndo($perkara->pemberitahuan_putusan_kasasi);
            $hari_pemberitahuan_putusan_memori_kasasi = $this->templatehelper->getHari($perkara->pemberitahuan_putusan_kasasi);
			$tglbht=$this->templatehelper->convertKeTglIndo($perkara->tanggal_bht);
			$tglbhtqry=$perkara->tanggal_bht;
			if (!empty($tglbhtqry)){
				$tgklbhtsplit=explode("-",$tglbhtqry);
				$blnbht=$this->templatehelper->convertToRomawi($tgklbhtsplit[1]);
				$thnbht=$tgklbhtsplit[0];
			}
			$kadilmil=$perkara->kadilmil;
			$nrpkadilmil=$perkara->nrpkadilmil;
			$pangkatkadilmil=$perkara->pangkatkadilmil;
			$tgltms=$this->templatehelper->convertKeTglIndo($perkara->tidak_memenuhi_syarat);
}

// if($pihakasal==2){
	foreach ($data_oditur->result() as $row) {
		$nama_oditur = $row->nama;
		$nrp_oditur = $row->NIP;
		$pangkat_oditur=$row->pangkat_oditur;
		$kode_otmil = $row->kejaksaan; 
	}
// }else{
	// $nama_oditur=$namaPihak;
	// $nrp_oditur=$nrp_pejabat;
	// $pangkat_oditur=$pangkat_pejabat;	
// }

// if($pihakasal==2){
	// $nama_oditur=$nama_oditur2;
	// $nrp_oditur=$nrp_oditur2;
	// $pangkat_oditur=$pangkat_oditur2;
// }else{
	// $nama_oditur=$namaPihak;
	// $nrp_oditur=$nrp_pejabat;
	// $pangkat_oditur=$pangkat_pejabat;	
// }
//==============================================================================//

#untuk membentuk nomor permohonan kasasi

$arr=explode(' ',($namaPN));
$kota_pn=$arr[count($arr)-1];
$kode_pn1=$arr[count($arr)-2];
$kode_pt=$this->templatehelper->strbefore($kode_pn1,'-');
$arr=explode("/", $nomorPerkara);
$matra=$arr[2]; 

switch ($idakta) {
	case 1:
		$tgl_permohonan_sql= $tglpermohonan_kasasi_sql;
		
	break;
	case 2:
		$tgl_permohonan_sql= $tgl_pemberitahuan_permohonan_kasasi_sql;
	break;
	case 3:
		$tgl_permohonan_sql= $tgl_penerimaan_memori_kasasi_sql;
	break;
	case 4:
		$tgl_permohonan_sql= $tgl_penerimaan_kontra_memori_kasasi_sql;
	break;
	case 5:
		$tgl_permohonan_sql= $tgl_penyerahan_kontra_memori_kasasi_sql;
	break;
	case 6:
		$tgl_permohonan_sql= $tgl_pemberitahuan_putusan_memori_kasasi_sql;
	break;
	case 8:
		$tgl_permohonan_sql= $tglpermohonan_kasasi_sql;
	break;
	
}
 

$expl_tgl = explode('-',$tgl_permohonan_sql);
//print_r($expl_tgl);exit();
if (count($expl_tgl)>1){
	$tahun = $expl_tgl[0];
	$bulan = $this->templatehelper->convertToRomawi($expl_tgl[1]);	
}

$nomor_permohonan_kasasi = "APK/" . $nomor ."/". "PM." . $kode_pn1 . "/" . $matra . "/" . $bulan . "/" . $tahun;
#=========================================

if ($pihakasal=='2'){
	//if ($pihak_diwakili=='T'){
		foreach ($info_DataTerdakwa->result() as $row) {	
			if ($pemohon_id==$row->pihak_id){
				$pangkat_terdakwa = $row->pangkat_terdakwa;
				$nrp_pemohon = $row->nrp_terdakwa;
				$nrp_terdakwa = $row->nrp_terdakwa;
				$jabatan_terdakwa = $row->jabatan_terdakwa;
				$kesatuan_pemohon = $row->kesatuan_terdakwa;	
				$nama_terdakwa = $row->pihak_nama; 
				//$pangkat_pemohon=$row->pangkat_terdakwa;
			}	
		}
	//}	
}elseif ($pihakasal=='1'){
	$nama_pangkat_korp_terdakwa = '';
	$temp=$info_DataTerdakwa2->result();	
	$nama_terdakwa = $temp[0]->pihak_nama; 
	$nama_pangkat_korp_terdakwa = $temp[0]->pangkat_terdakwa.' '.$temp[0]->pihak_nama;
	$nrp_terdakwa=$temp[0]->nrp_terdakwa;
	if ($info_DataTerdakwa2->num_rows()>1){
		$nama_terdakwa.=', dkk '.(($info_DataTerdakwa2->num_rows())-1).' orang';
	}
	$temp=$info_DataOditur->result();
	$pangkat_pemohon=$temp[0]->pangkat_oditur;
	$nrp_pemohon=$temp[0]->NIP;
	$kesatuan_pemohon = $temp[0]->kesatuan_oditur;	
}


#===ini berasal dari input form di popup
if (!empty($tgl_pemberitahuan_cabut)) {	
	$cabut = $this->templatehelper->convertKeTglIndo($tgl_pemberitahuan_cabut);
	$tglpemberitahuanpencabutansplit = explode("/",$cabut); 
	$reordertanggal = "$tglpemberitahuanpencabutansplit[2]-$tglpemberitahuanpencabutansplit[1]-$tglpemberitahuanpencabutansplit[0]";
	$tglpemberitauanpencabutan = $this->templatehelper->convertKeTglIndo($reordertanggal); 
	$haripemberitahuan_pencabutan = $this->templatehelper->getHari($tglpemberitauanpencabutan);
}
#========================================

#Insert Into Dokumen#
if (!empty($tgl_pemberitahuan_cabut)) {	
	$Template = str_replace('#tanggal_pemberitahuan_pencabutan#',''.$tglpemberitauanpencabutan.'',$Template);
	$Template = str_replace('#hari_pemberitahuan_pencabutan#',''.$haripemberitahuan_pencabutan.'',$Template);
	$Template = str_replace('#tanggal_batas_penyerahan#',''.$tglpemberitauanpencabutan.'',$Template);
	$Template = str_replace('#hari_batas_penyerahan#',''.$haripemberitahuan_pencabutan.'',$Template);
	$Template = str_replace('#tanggal_penyerahan#',''.$tglpemberitauanpencabutan.'',$Template);
	$Template = str_replace('#hari_penyerahan#',''.$haripemberitahuan_pencabutan.'',$Template);
	$Template = str_replace('#tanggal_batas_pengajuan#',''.$tglpemberitauanpencabutan.'',$Template);
	$Template = str_replace('#hari_batas_pengajuan#',''.$haripemberitahuan_pencabutan.'',$Template);

}
$Template = str_replace('#nomor_putusan_kasasi#',''.$nomor_putusan_kasasi.'',$Template);
$Template = str_replace('#tanggal_putus_kasasi#',''.$tgl_putusan_kasasi.'',$Template);
$Template = str_replace('#kota_pt#',''.ucwords($kota_pt).'',$Template);
$Template = str_replace('#tanggal_penerimaan_memori_kasasi#',''.$tgl_penerimaan_memori_kasasi.'',$Template);
$Template = str_replace('#hari_penerimaan_memori_kasasi#',''.$hari_penerimaan_memori_kasasi.'',$Template);
$Template = str_replace('#tanggal_pemberitahuan#',''.$tgl_pemberitahuan_permohonan_kasasi.'',$Template);
$Template = str_replace('#hari_pemberitahuan#',''.$hari_pemberitahuan_permohonan_kasasi.'',$Template);
$Template = str_replace('#tanggal_pemberitahuan_putusan#',''.$tgl_pemberitahuan_putusan_memori_kasasi.'',$Template);
$Template = str_replace('#hari_pemberitahuan_putusan#',''.$hari_pemberitahuan_putusan_memori_kasasi.'',$Template);
$Template = str_replace('#tanggal_pencabutan#',''.$tgl_cabut.'',$Template);
$Template = str_replace('#hari_pencabutan#',''.$hari_pencabutan.'',$Template);
$Template = str_replace('#tanggal_penerimaan_kontra_memori_kasasi#',''.$tgl_penerimaan_kontra_memori_kasasi.'',$Template);
$Template = str_replace('#hari_penerimaan_kontra_memori_kasasi#',''.$hari_penerimaan_kontra_memori_kasasi.'',$Template);
$Template = str_replace('#tanggal_penyerahan_kontra_memori_kasasi#',''.$tgl_penyerahan_kontra_memori_kasasi.'',$Template);
$Template = str_replace('#hari_penyerahan_kontra_memori_kasasi#',''.$hari_penyerahan_kontra_memori_kasasi.'',$Template);
$Template = str_replace('#tanggal_bht#',''.$tglbht.'',$Template);
$Template = str_replace('#bulan_bht#',''.$blnbht.'',$Template);
$Template = str_replace('#tahun_bht#',''.$thnbht.'',$Template);
$Template = str_replace('#no_register#',''.$nomor.'',$Template);
$Template = str_replace('#kode_pn#',''.$namaPN.'',$Template);
$Template = str_replace('#kode_pn1#',''.strtoupper($kode_pn1).'',$Template);
$Template = str_replace('#kode_pt#',''.strtoupper($kode_pt).'',$Template);
$Template = str_replace('#kota_pn#',''.strtoupper($kota_pn).'',$Template);
$Template = str_replace('#kota_pn1#',''.ucwords($kota_pn).'',$Template);
$Template = str_replace('#nama_pemohon#',''.$namaPihak.'',$Template);
$Template = str_replace('#matra#',''.$matra.'',$Template);
$Template = str_replace('#bulan#',''.$bulan.'',$Template);
$Template = str_replace('#tahun#',''.$tahun.'',$Template);
$Template = str_replace('#pangkat_korp_pemohon#',''.$pangkat_pemohon.'',$Template);
$Template = str_replace('#nrp_pemohon#',''.$nrp_pemohon.'',$Template);
$Template = str_replace('#kesatuan_pemohon#',''.$kesatuan_pemohon.'',$Template);
$Template = str_replace('#jenisputusan#',''.$tahapan.'',$Template);
$Template = str_replace('#nomor_putusan#',''.$noPerkaraTahapan.'',$Template);
$Template = str_replace('#tanggal_putus#',''.$tglPutusTahapan.'',$Template);
$Template = str_replace('#nama_oditur#',''.$nama_oditur.'',$Template);
$Template = str_replace('#nrp_oditur#',''.$nrp_oditur.'',$Template);
$Template = str_replace('#pangkat_korp_oditur#',''.$pangkat_oditur.'',$Template);
$Template = str_replace('#kode_otmil#',''.$kode_otmil.'',$Template);

if ($pihakasal=='2'){
	$Template = str_replace('#nama_pangkat_korp_terdakwa#',''.$pangkat_terdakwa." ".$namaPihak.'',$Template);
	$Template = str_replace('#pangkat_korp_terdakwa#',''.$pangkat_terdakwa.'',$Template);
	$Template = str_replace('#nrp_terdakwa#',''.$nrp_terdakwa.'',$Template);
    $Template = str_replace('#nama_terdakwa#',''.$nama_terdakwa.'',$Template);
	
	//== ini variabelnya sama ==
    $Template = str_replace('#jabatan_terdakwa#',''.$jabatan_terdakwa.'',$Template);
	$Template = str_replace('#jabatan_pemohon#',''.$jabatan_terdakwa.'',$Template);
	//=========================
	
    $Template = str_replace('#kesatuan_terdakwa#',''.$kesatuan_terdakwa.'',$Template);
	$Template = str_replace('#tempat_lahir_pemohon#',''.$tempatLahirPihak.'',$Template);
	$Template = str_replace('#tanggal_lahir_pemohon#',''.$tanggalLahirPihak.'',$Template);
	$Template = str_replace('#jenis_kelamin_pemohon#',''.$kelaminPihak.'',$Template);
	$Template = str_replace('#alamat_pemohon#',''.$alamatPihak.'',$Template);
	$Template = str_replace('#agama_pemohon#',''.$agamaPihak.'',$Template);
}if ($pihakasal=='1'){
	$Template = str_replace('#nama_pangkat_korp_terdakwa#',''.$nama_pangkat_korp_terdakwa.'',$Template);	
	$Template = str_replace('#pangkat_korp_terdakwa#',''.$pangkat_terdakwa.'',$Template);
	$Template = str_replace('#nrp_terdakwa#',''.$nrp_terdakwa.'',$Template);	
	$Template = str_replace('#nama_terdakwa#',''.$nama_terdakwa.'',$Template);
	$Template = str_replace('#jabatan_terdakwa#',''.$jabatan_terdakwa.'',$Template);
    $Template = str_replace('#kesatuan_terdakwa#',''.$kesatuan_terdakwa.'',$Template);
}

$Template = str_replace('#statuspanitera#',''.$statusPanitera.'',$Template);
$Template = str_replace('#nama_panitera#',''.$namaPanitera.'',$Template);
$Template = str_replace('#nrp_panitera#',''.$nrp_pejabat.'',$Template);
$Template = str_replace('#pangkat_korp_panitera#',''.$pangkat_pejabat.'',$Template);
$Template = str_replace('#nama_pangkat_korp_panitera#',''.$namaPanitera." ".$pangkat_pejabat.'',$Template);

//== ini variabelnya sama ==
$Template = str_replace('#tanggal_permohonan#',''.$tglpermohonan_kasasi.'',$Template);
$Template = str_replace('#tanggal_permohonan_kasasi#',''.$tglpermohonan_kasasi.'',$Template); 
$Template = str_replace('#tanggal_akta_permohonan_kasasi#',''.$tglpermohonan_kasasi.'',$Template);
//==========================

//== ini variabelnya sama ==
$Template = str_replace('#nomor_akta_permohonan_kasasi#',''.$nomor_permohonan_kasasi.'',$Template);
$Template = str_replace('#nomor_permohonan_kasasi#',''.$nomor_permohonan_kasasi.'',$Template);
//==========================

//== ini variabelnya sama ==
$Template = str_replace('#hari_permohonan#',''.$hariPermohonanKasasi.'',$Template); 
$Template = str_replace('#hari_permohonan_kasasi#',''.$hariPermohonanKasasi.'',$Template);
//==========================

$Template = str_replace('#kadilmil#',''.$kadilmil.'',$Template);
$Template = str_replace('#nrpkadilmil#',''.$nrpkadilmil.'',$Template);
$Template = str_replace('#pangkatkadilmil#',''.$pangkatkadilmil.'',$Template);
$Template = str_replace('#tgltms#',''.$tgltms.'',$Template);


header("Content-Type: application/vnd.ms-word");
header("Expires: 0");
header("Cache-Control:  must-revalidate, post-check=0, pre-check=0");
header("Content-disposition: attachment; filename=\"".$namafile."-".$nomorPerkara.".rtf\"");
echo $Template;
?>